All Resources All filters

# CvsDirectoryResource

The CvsDirectoryResource allows you to control the CVS status of the files under some directory (which itself, should be under CVS control). This resource allows you to add, remove, update and commit files. It also provides you with the log and the diff with the latest version of any file.

The best way to use it, is through a directory template, that maps any `CVS` directory to this resource (see the resource factory documentation for more informations).

## Inherits

The CvsDirectoryResource class inherits from the following classes:

- PostableResource

## Properties

The CvsDirectoryResource uses the following properties (when defined):

- w3c.cvs.path
- w3c.cvs.root
- w3c.cvs.wrapper

`w3c.cvs.path`

semantics
  This property should provide the absolute path of the `cvs` program.
default value
  This property defaults to /usr/local/bin/cvs

w3c.cvs.root

semantics
  This property should give the absolute path of the CVS repository.
default value
  This property defaults to /usr/w3.org/pub/WWW

w3c.cvs.wrapper

semantics
  This property should provide the absolute path of the `cvs` wrapper program. In order to run cvs in the appropriate directory, the CvsDirectoryResource runs `cvs` through a shell script. This shell script is provided with Jigsaw distribution (in the `w3c.cvs` package).
default value
  This property defaults to /afs/w3.org/usr/abaird/Jigsaw/bin/cvs_wrapper

## Attributes description

The CvsDirectoryResource defines no attributes.

Jigsaw Team
$Id: w3c.jigsaw.cvs.CvsDirectoryResource.html,v 1.1 1996/04/16 22:58:37 abaird Exp $